# wxPreviewControlBar Class Reference
[Printing Framework]

`#include <wx/print.h>`

Inheritance diagram for wxPreviewControlBar:
[legend]

## Detailed Description

This is the default implementation of the preview control bar, a panel with buttons and a zoom control.

You can derive a new class from this and override some or all member functions to change the behaviour and appearance; or you can leave it as it is.

##

Library: wxBase

Category: Printing Framework

See also:
  wxPreviewFrame, wxPreviewCanvas, wxPrintPreview

## Public Member Functions
| wxPreviewControlBar (wxPrintPreview *preview, long buttons, wxWindow *parent, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name="panel")
| Constructor.
virtual | ~wxPreviewControlBar ()
| Destructor.
virtual void | CreateButtons ()
| Creates buttons, according to value of the button style flags.
virtual wxPrintPreviewBase * | GetPrintPreview () const
| Gets the print preview object associated with the control bar.
virtual int | GetZoomControl ()
| Gets the current zoom setting in percent.
virtual void | SetZoomControl (int percent)
| Sets the zoom control.

List of all members.

## Constructor & Destructor Documentation

wxPreviewControlBar::wxPreviewControlBar | ( | wxPrintPreview * | preview,
|  | long | buttons,
|  | wxWindow * | parent,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `"panel"` |
| ) |  |  |

Constructor.

The buttons parameter may be a combination of the following, using the bitwise 'or' operator:

- wxPREVIEW_PRINT:
  Create a print button.
- wxPREVIEW_NEXT:
  Create a next page button.
- wxPREVIEW_PREVIOUS:
  Create a previous page button.
- wxPREVIEW_ZOOM:
  Create a zoom control.
- wxPREVIEW_DEFAULT:
  Equivalent to a combination of `wxPREVIEW_PREVIOUS`, `wxPREVIEW_NEXT` and `wxPREVIEW_ZOOM`.

virtual wxPreviewControlBar::~wxPreviewControlBar | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void wxPreviewControlBar::CreateButtons | ( |  | ) | `[virtual]`

Creates buttons, according to value of the button style flags.

Todo:
  which flags??

virtual wxPrintPreviewBase* wxPreviewControlBar::GetPrintPreview | ( |  | ) | const`[virtual]`

Gets the print preview object associated with the control bar.

virtual int wxPreviewControlBar::GetZoomControl | ( |  | ) | `[virtual]`

Gets the current zoom setting in percent.

virtual void wxPreviewControlBar::SetZoomControl | ( | int | percent | ) | `[virtual]`

Sets the zoom control.

|  | [ top ]